## readline5 5.2+dfsg-3build3-p2169042

=== debian/changelog ===
readline5 (5.2+dfsg-3build3-p2169042) UNRELEASED; urgency=medium

  * BDK Release.

 -- BDK Developer <Sony>  Wed, 12 Jun 2024 13:38:16 +0900

readline5 (5.2+dfsg-3build3) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:08:10 +0000

readline5 (5.2+dfsg-3build2) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 14:18:47 +0000

readline5 (5.2+dfsg-3build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:45:19 +0000

readline5 (5.2+dfsg-3) unstable; urgency=medium

  * QA upload.
  * Enable hardening build flags.
  * Remove unused multilib packages.
  * Use architecture qualified compiler. Closes: #784669.
  * Refer to GPL-2 instead of GPL{-3,} in copyright as the sole purpose of
    this package is being licensed under GPL-2.
  * Declare source format 1.0.
  * Remove install-info from obsolete maintscripts and install-info
    dependency to comply with Debian policy 12.2.
  * Verified compliance with Debian policy 3.9.6.

 -- Helmut Grohne <helmut@subdivi.de>  Wed, 27 May 2015 22:15:17 +0200

readline5 (5.2+dfsg-2) unstable; urgency=low

  * QA upload.
  * Fix multiarch bug, again; the +dfsg suffix broke the previous fix.
    Closes: #670028.

 -- Florian Schlichting <fsfs@debian.org>  Sat, 27 Apr 2013 03:39:07 +0200

readline5 (5.2+dfsg-1) unstable; urgency=low

  * QA upload.
  * Remove unused and non DFSG-compliant files from source:
    doc/{history,rlman,rluserman,readline}.{dvi,html,info,pdf,ps,texi}.
    history and readline thus removed from /usr/share/info/ in
    libreadline-gplv2-dev. Closes: #695790.

 -- David Prévot <taffit@debian.org>  Sun, 30 Dec 2012 19:13:32 -0400

readline5 (5.2-12) unstable; urgency=low

  [ Florian Schlichting ]
  * libreadline-gplv2-dev: explicitly conflict against libreadline6-dev.
    Closes: #670111.
  * libreadline-gplv2-dev: substitute build- and architecture-dependant paths
    in examples/Makefile with their actual, arch-indep value.
    Closes: #658850, #670028.

  [ Matthias Klose ]
  * Orphan the package.

 -- Matthias Klose <doko@debian.org>  Tue, 18 Sep 2012 15:04:24 +0200

readline5 (5.2-11) unstable; urgency=low

  * Do not link against any libncurses* library, just against libtinfo.
  * libreadline-gplv2-dev: Depend on libtinfo-dev instead of libncurses5-dev.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Oct 2011 16:10:12 +0200

readline5 (5.2-10) unstable; urgency=low

  * Add multi-arch support (Riku Voipio). Closes: #638851.

 -- Matthias Klose <doko@debian.org>  Mon, 22 Aug 2011 23:55:58 +0200

readline5 (5.2-9) unstable; urgency=low

  * libreadline-gplv2-dev: Stop providing libreadline5-dev.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Jul 2011 12:25:10 +0200

readline5 (5.2-8) unstable; urgency=low

  * Rename libreadline5-dev to libradline-gplv2-dev. Some packages
    still need readline5 for license compatibility, others should
    convert to readline6.
  * Fix some lintian warnings.

 -- Matthias Klose <doko@debian.org>  Sat, 23 Apr 2011 14:08:08 +0200

readline5 (5.2-7) unstable; urgency=low

  * libreadline5-dev: Stop providing libreadline-dev.
  * libreadline5-dbg: Add libc6 dependencies to satisfy pedantic views
    on the policy. Closes: #553251.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Nov 2009 02:15:12 +0100

readline5 (5.2-6) unstable; urgency=low

  * Set priority of packages to extra (readline6 is the preferred choice).
  * Don't build rlfe and readline-common anymore, now built by readline6.

 -- Matthias Klose <doko@debian.org>  Mon, 24 Aug 2009 00:07:19 +0200

readline5 (5.2-5) unstable; urgency=medium

  * On amd64, install 32bit libraries into /lib32 and /usr/lib32.
    Closes: #533014.

 -- Matthias Klose <doko@debian.org>  Sun, 28 Jun 2009 21:55:21 +0200

readline5 (5.2-4) unstable; urgency=low

  * Apply upstream patches up to readline52-013. Closes: #494934.
  * Remove the patch introduced in 5.2-3.1, obsoleted by the upstream
    patches.
  * libreadline5-dev: Set priority to extra.

 -- Matthias Klose <doko@debian.org>  Sat, 28 Feb 2009 19:00:38 +0100

readline5 (5.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply rl-input-eventhook.dpatch: Fix input data validation when run with
    rl_event_hook. Closes: #498277.

 -- Arnaud Cornet <acornet@debian.org>  Sat, 10 Jan 2009 17:06:46 +0100

readline5 (5.2-3) unstable; urgency=low

  * Build-depend on gcc-multilib instead of lib{32,64}c*-dev-*.
    Closes: #423995.
  * Apply upstream patch readline52-001 (readline neglects to reallocate
    the array it uses to keep track of wrapped screen lines when increasing
    its size.  This will eventually result in segmentation faults when given
    sufficiently long input.
  * Apply upstream patch readline52-003 and readline52-004, fixes
    for displaying the prompt.
  * Link biarch builds against ncurses.

 -- Matthias Klose <doko@debian.org>  Thu, 24 May 2007 23:49:39 +0200

readline5 (5.2-2) unstable; urgency=low

  * Apply upstream patch readline52-001 (incorrect display position
    with multibyte characters).

 -- Matthias Klose <doko@debian.org>  Tue, 19 Dec 2006 16:28:28 +0100

readline5 (5.2-1) unstable; urgency=low

  * New upstream version.
  * Removed patches applied upstream: rlfe-pts, rl-inputrc.
  * readline-common: Don't conflict with libreadine4, keep the replaces;
    eases upgrades from MySQL 5 databases. Closes: #387966.

 -- Matthias Klose <doko@debian.org>  Sat, 28 Oct 2006 13:54:43 +0200

readline5 (5.1-9) unstable; urgency=low

  * Fix libc dependencies for the lib32readline5{,-dev} packages.
    Closes: #386345.
  * Set DEB_BUILD_GNU_TYPE. Closes: #390372.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Sep 2006 21:04:52 +0000

readline5 (5.1-8) unstable; urgency=low


