## readline5 5.2-2maemo2%2b0m5

=== debian/changelog ===
readline5 (5.2-2maemo2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Fri, 26 Jun 2009 14:49:20 +0300

readline5 (5.2-2maemo2) unstable; urgency=low

  * Removed examples/excallback.c due to missing licence reference

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Fri, 26 Jun 2009 14:45:25 +0300

readline5 (5.2-2maemo1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Mon, 20 Apr 2009 15:54:25 +0300

readline5 (5.2-2maemo1) unstable; urgency=low

  * Remove extra architecture stuff

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Wed, 18 Jun 2008 11:25:22 +0300
