=== debian/control ===
Source: readline5
Section: libs
Priority: important
Maintainer: maemo integration <integration@maemo.org>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 4.1), dpatch, lsb-release, libncurses5-dev, mawk | awk, texinfo, autotools-dev

Package: libreadline5
Architecture: any
Depends: readline-common, ${shlibs:Depends}
Section: libs
Priority: important
Description: GNU readline and history libraries, run-time libraries
 The GNU readline library aids in the consistency of user interface
 across discrete programs that need to provide a command line
 interface.
 .
 The GNU history library provides a consistent user interface for
 recalling lines of previously typed input.

Package: lib64readline5
Architecture: i386 powerpc s390 sparc
Depends: readline-common, ${libxx:Depends}, ${shlibs:Depends}
Section: libs
Priority: optional
Description: GNU readline and history libraries, run-time libraries (64-bit)
 The GNU readline library aids in the consistency of user interface
 across discrete programs that need to provide a command line
 interface.
 .
 The GNU history library provides a consistent user interface for
 recalling lines of previously typed input.

Package: readline-common
Architecture: all
Section: utils
Depends: ${shlibs:Depends}
Conflicts: libreadline5 (<< 5.0-11), libreadline-common
Replaces: libreadline4 (<< 4.3-16), libreadline5 (<< 5.0-11), libreadline-common
Priority: standard
Description: GNU readline and history libraries, common files
 The GNU readline library aids in the consistency of user interface
 across discrete programs that need to provide a command line
 interface.
 .
 The GNU history library provides a consistent user interface for
 recalling lines of previously typed input.

Package: libreadline5-dev
Architecture: any
Depends: libreadline5 (= ${Source-Version}), libncurses5-dev
Conflicts: libreadline-dev
Provides: libreadline-dev
Section: libdevel
Priority: optional
Description: GNU readline and history libraries, development files
 The GNU readline library aids in the consistency of user interface
 across discrete programs that need to provide a command line
 interface.
 .
 The GNU history library provides a consistent user interface for
 recalling lines of previously typed input.
 .
 This package contains as well the readline documentation in info format.

Package: lib64readline5-dev
Architecture: i386 powerpc s390 sparc
Depends: lib64readline5 (= ${Source-Version}), lib64ncurses5-dev, ${devxx:Depends}
Provides: lib64readline-dev
Conflicts: lib64readline-dev
Replaces: libreadline5-dev (<< 4.1-6)
Section: libdevel
Priority: optional
Description: GNU readline and history libraries, development files (64-bit)
 The GNU readline library aids in the consistency of user interface
 across discrete programs that need to provide a command line
 interface.
 .
 The GNU history library provides a consistent user interface for
 recalling lines of previously typed input.

Package: libreadline5-dbg
Architecture: any
Depends: libreadline5 (= ${Source-Version})
Conflicts: libreadline-dbg
Provides: libreadline-dbg
Suggests: libreadline5-dev
Section: libdevel
Priority: extra
Description: GNU readline and history libraries, debugging libraries
 The GNU readline library aids in the consistency of user interface
 across discrete programs that need to provide a command line
 interface.
 .
 The GNU history library provides a consistent user interface for
 recalling lines of previously typed input.

Package: rlfe
Architecture: any
Depends: ${shlibs:Depends}
Section: utils
Priority: optional
Description: A front-end using readline to "cook" input lines for other programs
 This tool lets you use history and line-editing in any text oriented
 tool. This is especially useful with third-party proprietary tools that
 cannot be distributed linked against readline. It is not perfect but it
 works pretty well.
 .
 See the cle package for another program of that kind.

Package: lib32readline5
Architecture: amd64 ppc64
Depends: readline-common, ${libxx:Depends}, ${shlibs:Depends}
Section: libs
Priority: optional
Description: GNU readline and history libraries, run-time libraries (32-bit)
 The GNU readline library aids in the consistency of user interface
 across discrete programs that need to provide a command line
 interface.
 .
 The GNU history library provides a consistent user interface for
 recalling lines of previously typed input.

Package: lib32readline5-dev
Architecture: amd64 ppc64
Depends: lib32readline5 (= ${Source-Version}), lib32ncurses5-dev, ${devxx:Depends}
Provides: lib32readline-dev
Conflicts: lib32readline-dev
Section: libdevel
Priority: optional
Description: GNU readline and history libraries, development files (32-bit)
 The GNU readline library aids in the consistency of user interface
 across discrete programs that need to provide a command line
 interface.
 .
 The GNU history library provides a consistent user interface for
 recalling lines of previously typed input.
