## readline5 5.2.1

=== debian/changelog ===
readline5 (5.2.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: 1ea705d1e599de19c765169f20ffae52c3bb8c0c']

 -- shuttle <shuttle@deepin.com>  Tue, 10 Dec 2019 19:57:00 +0000
