=== debian/watch ===
version=2
ftp://ftp.gnu.org/gnu/readline/readline-(5[\d\.]*).tar.gz debian uupdate
